<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\Technik\PocetKontrolPodlaKategorieVozidla;

use Seka\Portal\Modul\Statistiky\Entities\Zaznam\Zaznam;
use Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\DataTableBuilderContract;
use Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\DataTableContract;

/**
 * Class PocetKontrolPodlaKategorieVozidlaDataTableBuilder
 *
 * @package Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\Technik\PocetKontrolPodlaKategorieVozidla
 */
final class PocetKontrolPodlaKategorieVozidlaDataTableBuilder implements DataTableBuilderContract
{
    /**
     * @param array $rows
     *
     * @return \Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\DataTableContract
     */
    public static function buildWithRows(array $rows = []): DataTableContract
    {
        $dataTable = new PocetKontrolPodlaKategorieVozidlaDataTable();

        if (!empty($rows)) {
            foreach ($rows as $row) {
                if (!$row instanceof PocetKontrolPodlaKategorieVozidlaDataTableRow) continue;

                $dataTable->addRow($row);
            }
        }

        return $dataTable;
    }

    /**
     * @param \Seka\Portal\Modul\Statistiky\Entities\Zaznam\Zaznam $model
     *
     * @return \Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\DataTableContract
     */
    public static function build(Zaznam $model): DataTableContract
    {
        return new PocetKontrolPodlaKategorieVozidlaDataTable();
    }
}
